Subject: Re: bug#24422: Proposal to create `sieve-manage-ignore-broken-tls' option

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 14 Sep 2016 09:08:17 +0900

On Tue, 13 Sep 2016 09:21:48 -0400, Ted Zlatanov wrote:
> On Tue, 13 Sep 2016 08:08:37 +0900 Katsumi Yamaoka <[email-masked]> wrote:

KY> On Mon, 12 Sep 2016 15:57:24 -0400, TSUCHIYA Masatoshi wrote:
>>> When accessing a managesieve server which provides broken TLS
>>> connections, it is quite useful that sieve-manage-open-server() ignores
>>> STARTTLS capability.  Therefore, I propose the following patch.

KY> The patch looks fine and not likely to cause a trouble.  I've
KY> committed it in the Emacs master with this log entry:

KY> sieve-manage.el: Allow user to avoid STARTTLS capability test (bug#24422)

KY> * lisp/net/sieve-manage.el
KY> (sieve-manage-ignore-broken-tls): New user option.
KY> (sieve-manage-open-server):
KY> Don't test STARTTLS capability if the option is set (bug#24422).

> I think the option is badly named. It doesn't ignore broken TLS
> (whatever that means), it avoids STARTTLS altogether. So maybe it should
> be `sieve-manage-ignore-starttls' or something like that.

Agreed.  I misunderstood what it tries to do.  It is irrelevant
if the one is broken or not, it simply makes it not use STARTTLS,
and the docstring is correct:

  "Ignore STARTTLS even if STARTTLS capability is provided."

I've renamed it as suggested, with this log entry:

sieve-manage.el: Rename sieve-manage-ignore-broken-tls

* lisp/net/sieve-manage.el (sieve-manage-ignore-starttls):
Rename from sieve-manage-ignore-broken-tls.  If it is set,
sieve-manage will never use STARTTLS even if the server says
it is capable (but may be broken).

Thanks.